<?php

//
//  Copyright (C) 2004-2011 by Autodesk, Inc.
//
//  This library is free software; you can redistribute it and/or
//  modify it under the terms of version 2.1 of the GNU Lesser
//  General Public License as published by the Free Software Foundation.
//
//  This library is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
//  Lesser General Public License for more details.
//
//  You should have received a copy of the GNU Lesser General Public
//  License along with this library; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
//

class MgFeaturePropertyType
{
   const DataProperty = 100 ; 
   const ObjectProperty = 101 ; 
   const GeometricProperty = 102 ; 
   const AssociationProperty = 103 ; 
   const RasterProperty = 104 ; 
   
}

class MgMimeType
{
   const Agf  = "application/agf"; /// \if INTERNAL  \endif 
   const Binary  = "application/octet-stream"; /// \if INTERNAL  \endif 
   const Dwf  = "model/vnd.dwf"; /// \if INTERNAL  \endif 
   const Gif  = "image/gif"; /// \if INTERNAL  \endif 
   const Jpeg  = "image/jpeg"; /// \if INTERNAL  \endif 
   const Png  = "image/png"; /// \if INTERNAL  \endif 
   const Text  = "text/plain"; /// \if INTERNAL  \endif 
   const Tiff  = "image/tiff"; /// \if INTERNAL  \endif 
   const Xml  = "text/xml"; /// \if INTERNAL  \endif 
   const Json  = "application/json"; /// \if INTERNAL  \endif 
   const Html  = "text/html"; /// \if INTERNAL  \endif 
   const Kml  = "application/vnd.google-earth.kml+xml"; /// \if INTERNAL  \endif 
   const Kmz  = "application/vnd.google-earth.kmz"; /// \if INTERNAL  \endif 
   
}

class MgPropertyType
{
   const Null = 0 ; 
   const Boolean = 1 ; 
   const Byte = 2 ; 
   const DateTime = 3 ; 
   const Single = 4 ; 
   const Double = 5 ; 
   const Int16 = 6 ; 
   const Int32 = 7 ; 
   const Int64 = 8 ; 
   const String = 9 ; 
   const Blob = 10 ; 
   const Clob = 11 ; 
   const Feature = 12 ; 
   const Geometry = 13 ; 
   const Raster = 14 ; 
   const Decimal = 15 ; 
   
}

class MgLayerGroupType
{
   const Normal = 1 ; 
   const BaseMap = 2 ; 
   
}

class MgLayerType
{
   const Dynamic = 1 ; 
   const BaseMap = 2 ; 
   
}

class MgServiceType
{
   const ResourceService = 0 ; 
   const DrawingService = 1 ; 
   const FeatureService = 2 ; 
   const MappingService = 3 ; 
   const RenderingService = 4 ; 
   const TileService = 5 ; 
   const KmlService = 6 ; 
   const ProfilingService = 10 ; 
   
}

class MgUser
{
   const Administrator  = "Administrator"; 
   const Anonymous  = "Anonymous"; 
   const Author  = "Author"; 
   const WfsUser  = "WfsUser"; 
   const WmsUser  = "WmsUser"; 
   
}

class MgGroup
{
   const Everyone  = "Everyone"; 
   
}

class MgRole
{
   const Administrator  = "Administrator"; 
   const Author  = "Author"; 
   const Viewer  = "Viewer"; 
   
}

class MgFeatureCommandType
{
   const InsertFeatures = 0 ; 
   const UpdateFeatures = 1 ; 
   const DeleteFeatures = 2 ; 
   const LockFeatures = 3 ; 
   const UnlockFeatures = 4 ; 
   
}

class MgFeatureGeometricType
{
   const Point = 1 ; 
   const Curve = 2 ; 
   const Surface = 4 ; 
   const Solid = 8 ; 
   
}

class MgFeatureSpatialOperations
{
   const Contains = 0 ; 
   const Crosses = 1 ; 
   const Disjoint = 2 ; 
   const Equals = 3 ; 
   const Intersects = 4 ; 
   const Overlaps = 5 ; 
   const Touches = 6 ; 
   const Within = 7 ; 
   const CoveredBy = 8 ; 
   const Inside = 9 ; 
   const EnvelopeIntersects = 10 ; 
   
}

class MgObjectPropertyType
{
   const Value = 0 ; 
   const Collection = 1 ; 
   const OrderedCollection = 2 ; 
   
}

class MgOrderingOption
{
   const Ascending = 0 ; 
   const Descending = 1 ; 
   
}

class MgParameterDirection
{
   const Input = 0 ; 
   const Output = 1 ; 
   const InputOutput = 2 ; 
   const Ret = 3 ; 
   
}

class MgRasterDataModelType
{
   const Unknown  = 0; 
   const Data  = 1; 
   const Bitonal  = 2; 
   const Gray  = 3; 
   const RGB  = 4; 
   const RGBA  = 5; 
   const Palette  = 6; 
   
}

class MgReaderType
{
   const FeatureReader = 0 ; 
   const DataReader = 1 ; 
   const SqlDataReader = 2 ; 
   
}

class MgRepositoryType
{
   const Library  = "Library"; /// \if INTERNAL  \endif 
   const Session  = "Session"; /// \if INTERNAL  \endif 
   
}

class MgResourceType
{
   const Map  = "Map"; /// \if INTERNAL  \endif 
   const MapDefinition  = "MapDefinition"; /// \if INTERNAL  \endif 
   const LayerDefinition  = "LayerDefinition"; /// \if INTERNAL  \endif 
   const DrawingSource  = "DrawingSource"; /// \if INTERNAL  \endif 
   const FeatureSource  = "FeatureSource"; /// \if INTERNAL  \endif 
   const Folder  = "Folder"; /// \if INTERNAL  \endif 
   const LoadProcedure  = "LoadProcedure"; /// \if INTERNAL  \endif 
   const PrintLayout  = "PrintLayout"; /// \if INTERNAL  \endif 
   const Selection  = "Selection"; /// \if INTERNAL  \endif 
   const SymbolDefinition  = "SymbolDefinition"; /// \if INTERNAL  \endif 
   const SymbolLibrary  = "SymbolLibrary"; /// \if INTERNAL v \endif 
   const WebLayout  = "WebLayout"; /// \if INTERNAL  \endif 
   const ApplicationDefinition  = "ApplicationDefinition"; /// \if INTERNAL  \endif 
   
}

class MgResourceTag
{
   const LoginUsername  = "%MG_LOGIN_USERNAME%"; /// \if INTERNAL  \endif 
   const LoginPassword  = "%MG_LOGIN_PASSWORD%"; /// \if INTERNAL  \endif 
   const Username  = "%MG_USERNAME%"; /// \if INTERNAL  \endif 
   const Password  = "%MG_PASSWORD%"; /// \if INTERNAL  \endif 
   const DataFilePath  = "%MG_DATA_FILE_PATH%"; /// \if INTERNAL  \endif 
   const DataPathAliasBegin  = "%MG_DATA_PATH_ALIAS["; /// \if INTERNAL  \endif 
   const DataPathAliasEnd  = "]%"; /// \if INTERNAL  \endif 
   
}

class MgResourceDataName
{
   const UserCredentials  = "MG_USER_CREDENTIALS"; /// \if INTERNAL  \endif 
   
}

class MgResourceDataType
{
   const File  = "File"; /// \if INTERNAL  \endif 
   const Stream  = "Stream"; /// \if INTERNAL  \endif 
   const String  = "String"; /// \if INTERNAL  \endif 
   
}

class MgResourcePermission
{
   const NoAccess  = "n"; /// \if INTERNAL  \endif 
   const ReadOnly  = "r"; /// \if INTERNAL  \endif 
   const ReadWrite  = "r,w"; /// \if INTERNAL  \endif 
   
}

class MgSpatialContextExtentType
{
   const scStatic = 0 ; 
   const scDynamic = 1 ; 
   
}

class MgCoordinateDimension
{
   const XY = 0 ; 
   const XYZ = 1 ; 
   const M = 2 ; 
   
}

class MgGeometryEntityType
{
   const GeometryComponent = 0 ; 
   const Geometry = 1 ; 
   
}

class MgGeometricPathInstructionType
{
   const MoveTo = 0 ; 
   const LineTo = 1 ; 
   const QuadTo = 2 ; 
   const Close = 4 ; 
   
}

class MgGeometryComponentType
{
   const LinearRing = 129 ; 
   const ArcSegment = 130 ; 
   const LinearSegment = 131 ; 
   const CurveRing = 132 ; 
   
}

class MgGeometryType
{
   const Point = 1 ; 
   const LineString = 2 ; 
   const Polygon = 3 ; 
   const MultiPoint = 4 ; 
   const MultiLineString = 5 ; 
   const MultiPolygon = 6 ; 
   const MultiGeometry = 7 ; 
   const CurveString = 10 ; 
   const CurvePolygon = 11 ; 
   const MultiCurveString = 12 ; 
   const MultiCurvePolygon = 13 ; 
   
}

class MgCoordinateSystemCodeFormat
{
   const Mentor = 0 ; 
   const Epsg = 1 ; 
   
}

class MgCoordinateSystemErrorCode
{
   const AZM = 201 ; 
   const AZMTH = 202 ; 
   const LAT = 203 ; 
   const LATEQU = 204 ; 
   const LNG = 205 ; 
   const LNGEQU = 206 ; 
   const MAPSCL = 207 ; 
   const MEREQU = 208 ; 
   const MRCAT = 209 ; 
   const MSCOEF = 210 ; 
   const NOREF = 211 ; 
   const NOTNRTH = 212 ; 
   const NRTHLAT = 213 ; 
   const NRTHPNT = 214 ; 
   const ORGLAT = 215 ; 
   const ORGLNG = 216 ; 
   const PLL90 = 217 ; 
   const PLLEQU = 218 ; 
   const PLLLRG = 219 ; 
   const PLLREV = 220 ; 
   const PLLZERO = 221 ; 
   const POLDD = 222 ; 
   const POLDUP = 223 ; 
   const POLLAT = 224 ; 
   const POLLNG = 225 ; 
   const QUAD = 226 ; 
   const SCLRED = 227 ; 
   const SOTHLAT = 228 ; 
   const STDLAT = 229 ; 
   const STDLNG = 230 ; 
   const STDPLL = 231 ; 
   const STDSOU = 232 ; 
   const STDWEST = 233 ; 
   const UNIT = 234 ; 
   const INVPRJ = 235 ; 
   const INVDTM = 236 ; 
   const INVELP = 237 ; 
   const LLRNG = 238 ; 
   const RNGORD = 239 ; 
   const INVQUAD = 240 ; 
   const GEOMM = 241 ; 
   const CRTMM = 242 ; 
   const PLLED = 243 ; 
   const PLRLAT = 244 ; 
   const USEPLR = 245 ; 
   const UTMZON = 246 ; 
   const HMISPHR = 247 ; 
   const USESW = 248 ; 
   const MAX15 = 249 ; 
   const OBLQPOLE = 250 ; 
   const AFFZERO = 251 ; 
   const NRDATUM = 252 ; 
   const OSTN97 = 253 ; 
   const DENRGN = 253 ; 
   const ELEVEL = 254 ; 
   const OSTN02 = 255 ; 
   const TMKRG0 = 256 ; 
   const Ok = 1000 ; 
   const OutOfMemory = 1001 ; 
   const InitializationFailed = 1002 ; 
   const ConversionFailed = 1003 ; 
   const NullArgument = 1004 ; 
   const InvalidArgument = 1005 ; 
   
}

class MgCoordinateSystemGeodeticTransformationMethod
{
   const None = 0 ; 
   const Molodensky = 1 ; 
   const MReg = 2 ; 
   const Bursa = 3 ; 
   const NAD27 = 4 ; 
   const NAD83 = 5 ; 
   const WGS84 = 6 ; 
   const WGS72 = 7 ; 
   const HPGN = 8 ; 
   const SevenParameter = 9 ; 
   const AGD66 = 10 ; 
   const ThreeParameter = 11 ; 
   const SixParameter = 12 ; 
   const FourParameter = 13 ; 
   const AGD84 = 14 ; 
   const NZGD49 = 15 ; 
   const ATS77 = 16 ; 
   const GDA94 = 17 ; 
   const NZGD2K = 18 ; 
   const CSRS = 19 ; 
   const TOKYO = 20 ; 
   const RGF93 = 21 ; 
   const ED50 = 22 ; 
   const DHDN = 23 ; 
   const ETRF89 = 24 ; 
   const Lclgrf = 99 ; 
   const Geocentric = 25 ; 
   const CHENYX = 26 ; 
   
}

class MgCoordinateSystemGridOrientation
{
   const None = 0 ; 
   const EastWest = 1 ; 
   const NorthSouth = 2 ; 
   const Unknown = 3 ; 
   
}

class MgCoordinateSystemGridSpecializationType
{
   const None = 0 ; 
   const Generic = 1 ; 
   const MGRS = 17 ; 
   const USNG = 18 ; 
   const Unknown = 65366 ; 
   
}

class MgCoordinateSystemMgrsGridLevel
{
   const MgrsNone = 0 ; 
   const MgrsUtm = 1 ; 
   const MgrsUps = 2 ; 
   const Mgrs100Km = 3 ; 
   const Mgrs10Km = 4 ; 
   const Mgrs1Km = 5 ; 
   const Mgrs100m = 6 ; 
   const Mgrs10m = 7 ; 
   const Mgrs1m = 8 ; 
   const MgrsUnknown = 99 ; 
   
}

class MgCoordinateSystemMgrsLetteringScheme
{
   const Normal = 0 ; 
   const Alternative = 1 ; 
   
}

class MgCoordinateSystemMgrsGridSquarePosition
{
   const None = 0 ; 
   const Center = 1 ; 
   const SouthWest = 2 ; 
   const West = 3 ; 
   const NorthWest = 4 ; 
   const North = 5 ; 
   const NorthEast = 6 ; 
   const East = 7 ; 
   const SouthEast = 8 ; 
   const South = 9 ; 
   const Unknown = 10 ; 
   
}

class MgCoordinateSystemProjectionCode
{
   const Alber = 4 ; 
   const Azede = 59 ; 
   const Azmea = 11 ; 
   const Azmed = 7 ; 
   const Bipolar = 31 ; 
   const Bonne = 24 ; 
   const Cassini = 22 ; 
   const Eckert4 = 25 ; 
   const Eckert6 = 26 ; 
   const Edcnc = 12 ; 
   const Edcyl = 20 ; 
   const GaussK = 46 ; 
   const Gnomonic = 19 ; 
   const Goode = 28 ; 
   const Hom1uv = 1281 ; 
   const Hom1xy = 1282 ; 
   const Hom2uv = 1283 ; 
   const Hom2xy = 1284 ; 
   const Krovak = 47 ; 
   const Krvk95 = 51 ; 
   const LL = 1 ; 
   const Lm1sp = 36 ; 
   const Lm2sp = 37 ; 
   const Lmblg = 38 ; 
   const Lmtan = 8 ; 
   const Miller = 13 ; 
   const Mndotl = 41 ; 
   const Mndott = 42 ; 
   const Modpc = 10 ; 
   const Mollweid = 27 ; 
   const Mrcat = 6 ; 
   const MrcatK = 49 ; 
   const Mstero = 15 ; 
   const Neacyl = 29 ; 
   const Nerth = 55 ; 
   const Nzealand = 16 ; 
   const OblqM = 5 ; 
   const Obqcyl = 56 ; 
   const Ortho = 18 ; 
   const Ostn02 = 60 ; 
   const Ostn97 = 58 ; 
   const Ostro = 34 ; 
   const Plycn = 9 ; 
   const Pstro = 33 ; 
   const Pstrosl = 53 ; 
   const Rskew = 1285 ; 
   const Rskewc = 1286 ; 
   const Rskewo = 1287 ; 
   const Robinson = 23 ; 
   const Sinus = 17 ; 
   const Sotrm = 43 ; 
   const Sstro = 35 ; 
   const Swiss = 32 ; 
   const Sys34 = 57 ; 
   const Sys34_99 = 61 ; 
   const Teacyl = 30 ; 
   const Tm = 3 ; 
   const Trmeraf = 54 ; 
   const Trmrkrg = 62 ; 
   const Trmrs = 45 ; 
   const Vdgrntn = 21 ; 
   const Wccsl = 39 ; 
   const Wccst = 40 ; 
   const Utm = 44 ; 
   const Winkl = 63 ; 
   const Nrthsrt = 64 ; 
   const Lmbrtaf = 65 ; 
   const Sys34_01 = 66 ; 
   const EdcylE = 67 ; 
   const PlateCarree = 68 ; 
   const PvMercator = 69 ; 
   const Unknown = 0 ; 
   
}

class MgCoordinateSystemProjectionFormatType
{
   const None = 0 ; 
   const Lng = 57509 ; 
   const Lat = 41157 ; 
   const Angd = 32933 ; 
   const Coef = 13 ; 
   const Xxx = 4099 ; 
   const Yyy = 4099 ; 
   const Scl = 7 ; 
   const Rot = 4 ; 
   
}

class MgCoordinateSystemProjectionLogicalType
{
   const None = 0 ; 
   const Longitude = 1 ; 
   const Latitude = 2 ; 
   const Azimuth = 3 ; 
   const AngularDistance = 4 ; 
   const ComplexCoefficient = 5 ; 
   const UTMZoneNumber = 6 ; 
   const HemisphereSelection = 7 ; 
   const GeoidHeight = 8 ; 
   const Elevation = 9 ; 
   const AffineCoefficient = 10 ; 
   const XYCoordinate = 11 ; 
   const Scale = 12 ; 
   
}

class MgCoordinateSystemProjectionParameterType
{
   const NotUsed = 0 ; 
   const Cntmer = 1 ; 
   const Nstdpll = 2 ; 
   const Sstdpll = 3 ; 
   const Stdpll = 4 ; 
   const Gcp1lng = 5 ; 
   const Gcp1lat = 6 ; 
   const Gcp2lng = 7 ; 
   const Gcp2lat = 8 ; 
   const Gcplng = 9 ; 
   const Gcplat = 10 ; 
   const Gcazm = 11 ; 
   const Yaxisaz = 12 ; 
   const Estdmer = 13 ; 
   const Nparall = 14 ; 
   const Sparall = 15 ; 
   const P1lng = 16 ; 
   const P1lat = 17 ; 
   const P2lng = 18 ; 
   const P2lat = 19 ; 
   const Adp1p2 = 20 ; 
   const Adsp1 = 21 ; 
   const Adsp2 = 22 ; 
   const Cmplxan = 23 ; 
   const Cmplxbn = 24 ; 
   const Westll = 25 ; 
   const Eastll = 26 ; 
   const Utmzn = 27 ; 
   const Hsns = 28 ; 
   const Ghgt = 29 ; 
   const Aelev = 30 ; 
   const Polelng = 31 ; 
   const Polelat = 32 ; 
   const Ostdpll = 33 ; 
   const Stdcir = 34 ; 
   const Afa0 = 35 ; 
   const Afb0 = 36 ; 
   const Afa1 = 37 ; 
   const Afa2 = 38 ; 
   const Afb1 = 39 ; 
   const Afb2 = 40 ; 
   const Nrmlpll = 41 ; 
   const Denrgn = 42 ; 
   const Skwazm = 43 ; 
   const Sclrotorgx = 44 ; 
   const Sclrotorgy = 45 ; 
   const Nrthscl = 46 ; 
   const Nrthrot = 47 ; 
   
}

class MgCoordinateSystemType
{
   const Unknown = 0 ; 
   const Arbitrary = 1 ; 
   const Geographic = 2 ; 
   const Projected = 3 ; 
   
}

class MgCoordinateSystemUnitCode
{
   const Meter = 1 ; 
   const Foot = 2 ; 
   const Inch = 3 ; 
   const IFoot = 4 ; 
   const ClarkeFoot = 5 ; 
   const IInch = 6 ; 
   const Centimeter = 7 ; 
   const Kilometer = 8 ; 
   const Yard = 9 ; 
   const SearsYard = 10 ; 
   const Mile = 11 ; 
   const IYard = 12 ; 
   const IMile = 13 ; 
   const Knot = 14 ; 
   const NautM = 15 ; 
   const Lat66 = 16 ; 
   const Lat83 = 17 ; 
   const Decimeter = 18 ; 
   const Millimeter = 19 ; 
   const Dekameter = 20 ; 
   const Hectometer = 21 ; 
   const GermanMeter = 22 ; 
   const CaGrid = 23 ; 
   const ClarkeChain = 24 ; 
   const GunterChain = 25 ; 
   const BenoitChain = 26 ; 
   const SearsChain = 27 ; 
   const ClarkeLink = 28 ; 
   const GunterLink = 29 ; 
   const BenoitLink = 30 ; 
   const SearsLink = 31 ; 
   const Rod = 32 ; 
   const Perch = 33 ; 
   const Pole = 34 ; 
   const Furlong = 35 ; 
   const Rood = 36 ; 
   const CapeFoot = 37 ; 
   const Brealey = 38 ; 
   const SearsFoot = 39 ; 
   const GoldCoastFoot = 40 ; 
   const MicroInch = 41 ; 
   const IndianYard = 42 ; 
   const IndianFoot = 43 ; 
   const IndianFt37 = 44 ; 
   const IndianFt62 = 45 ; 
   const IndianFt75 = 46 ; 
   const IndianYd37 = 47 ; 
   const Decameter = 48 ; 
   const InternationalChain = 49 ; 
   const InternationalLink = 50 ; 
   const Degree = 1001 ; 
   const Grad = 1002 ; 
   const Grade = 1003 ; 
   const MapInfo = 1004 ; 
   const Mil = 1005 ; 
   const Minute = 1006 ; 
   const Radian = 1007 ; 
   const Second = 1008 ; 
   const Decisec = 1009 ; 
   const Centisec = 1010 ; 
   const Millisec = 1011 ; 
   const Unknown = 0 ; 
   
}

class MgCoordinateSystemUnitType
{
   const Unknown = 0 ; 
   const Linear = 1 ; 
   const Angular = 2 ; 
   
}

class MgCoordinateSystemWktFlavor
{
   const Unknown = -1 ; 
   const Ogc = 0 ; 
   const Oracle = 1 ; 
   const Esri = 2 ; 
   const Epsg = 3 ; 
   const Geotiff = 4 ; 
   const Geotools = 5 ; 
   
}

class MgCoordinateSystemGeodeticTransformDefType
{
   const None = 0 ; 
   const Standalone = 1 ; 
   const Analytical = 2 ; 
   const Interpolation = 3 ; 
   const MultipleRegression = 4 ; 
   
}

class MgCoordinateSystemGeodeticAnalyticalTransformationMethod
{
   const None = 0 ; 
   const ThreeParameter = 8193 ; 
   const Molodensky = 8194 ; 
   const AbridgedMolodensky = 8195 ; 
   const Geocentric = 8196 ; 
   const FourParameter = 8197 ; 
   const SixParameter = 8198 ; 
   const Bursa = 8199 ; 
   const Frame = 8200 ; 
   const SevenParameter = 8201 ; 
   const MolodenskyBadekas = 8202 ; 
   
}

class MgCoordinateSystemGeodeticMultipleRegressionTransformationMethod
{
   const None = 0 ; 
   const MultipleRegression = 20481 ; 
   const GeneralPolynomialEpsg = 20482 ; 
   
}

class MgCoordinateSystemGeodeticTransformGridFileFormat
{
   const None = 0 ; 
   const NTv1 = 1 ; 
   const NTv2 = 2 ; 
   const NADCON = 3 ; 
   const RGF = 4 ; 
   const PAR = 5 ; 
   const ATS77 = 6 ; 
   
}

class MgPageUnitsType
{
   const Inches  = "in"; /// \if INTERNAL  \endif 
   const Millimeters  = "mm"; /// \if INTERNAL  \endif 
   
}

class MgCoordinateSpace
{
   const None  = "None"; /// \if INTERNAL  \endif 
   const Map  = "Map"; /// \if INTERNAL  \endif 
   const Display  = "Display"; /// \if INTERNAL  \endif 
   
}

class MgMapPlotInstruction
{
   const UseMapCenterAndScale = 0 ; 
   const UseOverriddenCenterAndScale = 1 ; 
   const UseOverriddenExtent = 2 ; 
   
}

class MgLogFileType
{
   const Access  = "AccessLog"; 
   const Admin  = "AdminLog"; 
   const Authentication  = "AuthenticationLog"; 
   const Error  = "ErrorLog"; 
   const Session  = "SessionLog"; 
   const Trace  = "TraceLog"; 
   
}

class MgServerInformationProperties
{
   const ServerVersion  = "ServerVersion"; 
   const ApiVersion  = "ApiVersion"; 
   const AdminOperationsQueueCount  = "AdminOperationsQueueCount"; 
   const ClientOperationsQueueCount  = "ClientOperationsQueueCount"; 
   const SiteOperationsQueueCount  = "SiteOperationsQueueCount"; 
   const AverageOperationTime  = "AverageOperationTime"; 
   const TotalOperationTime  = "TotalOperationTime"; 
   const CpuUtilization  = "CpuUtilization"; 
   const TotalPhysicalMemory  = "TotalPhysicalMemory"; 
   const AvailablePhysicalMemory  = "AvailablePhysicalMemory"; 
   const TotalVirtualMemory  = "TotalVirtualMemory"; 
   const AvailableVirtualMemory  = "AvailableVirtualMemory"; 
   const Uptime  = "Uptime"; 
   const Status  = "Status"; 
   const DisplayName  = "DisplayName"; 
   const MachineIp  = "MachineIp"; 
   const TotalReceivedOperations  = "TotalReceivedOperations"; 
   const TotalProcessedOperations  = "TotalProcessedOperations"; 
   const TotalConnections  = "TotalConnections"; 
   const TotalActiveConnections  = "TotalActiveConnections"; 
   const OperatingSystemVersion  = "OperatingSystemVersion"; 
   const WorkingSet  = "WorkingSet"; 
   const VirtualMemory  = "VirtualMemory"; 
   const CacheSize  = "CacheSize"; 
   const CacheDroppedEntries  = "CacheDroppedEntries"; 
   
}

class MgUnitType
{
   const USEnglish  = "US-English"; /// \if INTERNAL  \endif 
   const Metric  = "Metric"; /// \if INTERNAL  \endif 
   
}

class MgConfigProperties
{
   const DefaultConfigurationFilename  = "webconfig.ini"; 
   const ServerConfigurationFilename  = "serverconfig.ini"; 
   const GeneralPropertiesSection  = "GeneralProperties"; 
   const GeneralPropertyConnectionTimeout  = "ConnectionTimeout"; 
   const DefaultGeneralPropertyConnectionTimeout  = 120; 
   const GeneralPropertyConnectionTimerInterval  = "ConnectionTimerInterval"; 
   const DefaultGeneralPropertyConnectionTimerInterval  = 60; 
   const GeneralPropertyLocale  = "Locale"; 
   const DefaultGeneralPropertyLocale  = ""; 
   const GeneralPropertyDefaultMessageLocale  = "DefaultMessageLocale"; 
   const DefaultGeneralPropertyDefaultMessageLocale  = "en"; 
   const GeneralPropertyDisplayName  = "DisplayName"; 
   const DefaultGeneralPropertyDisplayName  = ""; 
   const GeneralPropertyFdoPath  = "FdoPath"; 
   const DefaultGeneralPropertyFdoPath  = ""; 
   const GeneralPropertyMentorDictionaryPath  = "MentorDictionaryPath"; 
   const DefaultGeneralPropertyMentorDictionaryPath  = ""; 
   const GeneralPropertyMentorUserDictionaryPath  = "MentorUserDictionaryPath"; 
   const DefaultGeneralPropertyMentorUserDictionaryPath  = ""; 
   const GeneralPropertyLicenseServerPath  = "LicenseServerPath"; 
   const DefaultGeneralPropertyLicenseServerPath  = ""; ///  ; 
   const GeneralPropertyLinuxMemDebug  = "LinuxMemDebug"; 
   const DefaultGeneralPropertyLinuxMemDebug  = false; ///  ; 
   const GeneralPropertyLogsDelimiter  = "LogsDelimiter"; 
   const DefaultGeneralPropertyLogsDelimiter  = "\t"; 
   const GeneralPropertyLogsDetail  = "LogsDetail"; 
   const DefaultGeneralPropertyLogsDetail  = ""; 
   const GeneralPropertyLogsPath  = "LogsPath"; 
   const DefaultGeneralPropertyLogsPath  = "Logs/"; 
   const GeneralPropertyMachineIp  = "MachineIp"; 
   const DefaultGeneralPropertyMachineIp  = "127.0.0.1"; 
   const GeneralPropertyMaxLogFileSize  = "MaxLogFileSize"; 
   const DefaultGeneralPropertyMaxLogFileSize  = 64; 
   const GeneralPropertyMaxLogFileSizeEnabled  = "MaxLogFileSizeEnabled"; 
   const DefaultGeneralPropertyMaxLogFileSizeEnabled  = false; 
   const GeneralPropertyResourcesPath  = "ResourcesPath"; 
   const DefaultGeneralPropertyResourcesPath  = "Resources/"; 
   const GeneralPropertySerialNumber  = "SerialNumber"; 
   const DefaultGeneralPropertySerialNumber  = ""; ///  ; 
   const GeneralPropertyServiceRegistrationTimerInterval  = "ServiceRegistrationTimerInterval"; 
   const DefaultGeneralPropertyServiceRegistrationTimerInterval  = 60; 
   const GeneralPropertyTcpIpMtu  = "TcpIpMtu"; 
   const DefaultGeneralPropertyTcpIpMtu  = 1460; 
   const GeneralPropertyTempPath  = "TempPath"; 
   const DefaultGeneralPropertyTempPath  = "Temp/"; 
   const GeneralPropertyWfsDocumentPath  = "WfsDocumentPath"; 
   const DefaultGeneralPropertyWfsDocumentPath  = "Wfs/"; 
   const GeneralPropertyWmsDocumentPath  = "WmsDocumentPath"; 
   const DefaultGeneralPropertyWmsDocumentPath  = "Wms/"; 
   const GeneralPropertyRenderer  = "Renderer"; 
   const DefaultGeneralPropertyRenderer  = "GD"; 
   const GeneralPropertyPreCacheMaps  = "PreCacheMaps"; 
   const DefaultGeneralPropertyPreCacheMaps  = ""; 
      const AdministrativeConnectionPropertiesSection  = "AdministrativeConnectionProperties"; 
   const AdministrativeConnectionPropertyEmail  = "Email"; 
   const DefaultAdministrativeConnectionPropertyEmail  = ""; 
   const AdministrativeConnectionPropertyMaxConnections  = "MaxConnections"; 
   const DefaultAdministrativeConnectionPropertyMaxConnections  = 20; 
   const AdministrativeConnectionPropertyPort  = "Port"; 
   const DefaultAdministrativeConnectionPropertyPort  = 5555; 
   const AdministrativeConnectionPropertyQueueSize  = "QueueSize"; 
   const DefaultAdministrativeConnectionPropertyQueueSize  = 10; 
   const AdministrativeConnectionPropertyThreadPoolSize  = "ThreadPoolSize"; 
   const DefaultAdministrativeConnectionPropertyThreadPoolSize  = 5; 
   const ClientConnectionPropertiesSection  = "ClientConnectionProperties"; 
   const ClientConnectionPropertyMaxConnections  = "MaxConnections"; 
   const DefaultClientConnectionPropertyMaxConnections  = 100; 
   const ClientConnectionPropertyPort  = "Port"; 
   const DefaultClientConnectionPropertyPort  = 4444; 
   const ClientConnectionPropertyQueueSize  = "QueueSize"; 
   const DefaultClientConnectionPropertyQueueSize  = 10; 
   const ClientConnectionPropertyThreadPoolSize  = "ThreadPoolSize"; 
   const DefaultClientConnectionPropertyThreadPoolSize  = 10; 
   const SiteConnectionPropertiesSection  = "SiteConnectionProperties"; 
   const SiteConnectionPropertyIpAddress  = "IpAddress"; 
   const DefaultSiteConnectionPropertyIpAddress  = "127.0.0.1"; 
   const SiteConnectionPropertyMaxConnections  = "MaxConnections"; 
   const DefaultSiteConnectionPropertyMaxConnections  = 20; 
   const SiteConnectionPropertyPort  = "Port"; 
   const DefaultSiteConnectionPropertyPort  = 3333; 
   const SiteConnectionPropertyQueueSize  = "QueueSize"; 
   const DefaultSiteConnectionPropertyQueueSize  = 10; 
   const SiteConnectionPropertyThreadPoolSize  = "ThreadPoolSize"; 
   const DefaultSiteConnectionPropertyThreadPoolSize  = 5; 
   const HostPropertiesSection  = "HostProperties"; 
   const HostPropertyDrawingService  = "DrawingService"; 
   const DefaultHostPropertyDrawingService  = false; 
   const HostPropertyFeatureService  = "FeatureService"; 
   const DefaultHostPropertyFeatureService  = false; 
   const HostPropertyKmlService  = "KmlService"; 
   const DefaultHostPropertyKmlService  = false; 
   const HostPropertyMappingService  = "MappingService"; 
   const DefaultHostPropertyMappingService  = false; 
   const HostPropertyRenderingService  = "RenderingService"; 
   const DefaultHostPropertyRenderingService  = false; 
   const HostPropertyResourceService  = "ResourceService"; 
   const DefaultHostPropertyResourceService  = false; 
   const HostPropertyProfilingService  = "ProfilingService"; 
   const DefaultHostPropertyProfilingService  = false; 
      const HostPropertySiteService  = "SiteService"; 
   const DefaultHostPropertySiteService  = false; 
   const HostPropertyTileService  = "TileService"; 
   const DefaultHostPropertyTileService  = false; 
   const DrawingServicePropertiesSection  = "DrawingServiceProperties"; 
   const FeatureServicePropertiesSection  = "FeatureServiceProperties"; 
   const FeatureServicePropertyCacheSize  = "CacheSize"; 
   const DefaultFeatureServicePropertyCacheSize  = 100; 
   const FeatureServicePropertyCacheTimeLimit  = "CacheTimeLimit"; 
   const DefaultFeatureServicePropertyCacheTimeLimit  = 86400; 
   const FeatureServicePropertyCacheTimerInterval  = "CacheTimerInterval"; 
   const DefaultFeatureServicePropertyCacheTimerInterval  = 3600; 
   const FeatureServicePropertyDataCacheSize  = "DataCacheSize"; 
   const DefaultFeatureServicePropertyDataCacheSize  = 100; 
   const FeatureServicePropertyDataConnectionPoolEnabled  = "DataConnectionPoolEnabled"; 
   const DefaultFeatureServicePropertyDataConnectionPoolEnabled  = false; 
   const FeatureServicePropertyDataConnectionPoolExcludedProviders  = "DataConnectionPoolExcludedProviders"; 
   const DefaultFeatureServicePropertyDataConnectionPoolExcludedProviders  = "OSGeo.SDF,OSGeo.SHP"; 
   const FeatureServicePropertyDataConnectionPoolSize  = "DataConnectionPoolSize"; 
   const DefaultFeatureServicePropertyDataConnectionPoolSize  = 50; 
   const FeatureServicePropertyDataConnectionPoolSizeCustom  = "DataConnectionPoolSizeCustom"; 
   const DefaultFeatureServicePropertyDataConnectionPoolSizeCustom  = ""; 
   const FeatureServicePropertyDataConnectionTimeout  = "DataConnectionTimeout"; 
   const DefaultFeatureServicePropertyDataConnectionTimeout  = 600; 
   const FeatureServicePropertyDataConnectionTimerInterval  = "DataConnectionTimerInterval"; 
   const DefaultFeatureServicePropertyDataConnectionTimerInterval  = 60; 
   const FeatureServicePropertyJoinQueryBatchSize  = "JoinQueryBatchSize"; 
   const DefaultFeatureServicePropertyJoinQueryBatchSize  = 100; 
   const FeatureServicePropertyDataConnectionUseLimit  = "DataConnectionUseLimit"; 
   const DefaultFeatureServicePropertyDataConnectionUseLimit  = ""; 
   const FeatureServicePropertyDataTransactionTimeout  = "DataTransactionTimeout"; 
   const DefaultFeatureServicePropertyDataTransactionTimeout  = 360; 
   const FeatureServicePropertyDataTransactionTimerInterval  = "DataTransactionTimerInterval"; 
   const DefaultFeatureServicePropertyDataTransactionTimerInterval  = 60; 
   const FeatureServicePropertyFDOConnectionTimeoutCustom  = "FDOConnectionTimeoutCustom"; 
   const DefaultFeatureServicePropertyFDOConnectionTimeoutCustom  = "OSGeo.WMS:120"; 
   const FeatureServicePropertyUseFdoJoinOptimization  = "UseFdoJoinOptimization"; 
   const DefaultFeatureServicePropertyUseFdoJoinOptimization  = true; 
   const MappingServicePropertiesSection  = "MappingServiceProperties"; 
   const MappingServicePropertyLegendFont  = "LegendFont"; 
   const DefaultMappingServicePropertyLegendFont  = "Arial"; 
   const RenderingServicePropertiesSection  = "RenderingServiceProperties"; 
   const RenderingServicePropertyTileExtentOffset  = "TileExtentOffset"; 
   const DefaultRenderingServicePropertyTileExtentOffset  = 0.35; 
   const RenderingServicePropertyRasterGridSize  = "RasterGridSize"; 
   const DefaultRenderingServicePropertyRasterGridSize  = 100; 
   const RenderingServicePropertyMinRasterGridSize  = "MinRasterGridSize"; 
   const DefaultRenderingServicePropertyMinRasterGridSize  = 10; 
   const RenderingServicePropertyRasterGridSizeOverrideRatio  = "RasterGridSizeOverrideRatio"; 
   const DefaultRenderingServicePropertyRasterGridSizeOverrideRatio  = 0.25; 
   const RenderingServicePropertyRasterGridSizeForPlot  = "RasterGridSizeForPlot"; 
   const DefaultRenderingServicePropertyRasterGridSizeForPlot  = 50; 
   const RenderingServicePropertyMinRasterGridSizeForPlot  = "MinRasterGridSizeForPlot"; 
   const DefaultRenderingServicePropertyMinRasterGridSizeForPlot  = 5; 
   const RenderingServicePropertyRasterGridSizeOverrideRatioForPlot  = "RasterGridSizeOverrideRatioForPlot"; 
   const DefaultRenderingServicePropertyRasterGridSizeOverrideRatioForPlot  = 0.10; 
   const RenderingServicePropertyRenderSelectionBatchSize  = "RenderSelectionBatchSize"; 
   const DefaultRenderingServicePropertyRenderSelectionBatchSize  = 10000; 
   const RenderingServicePropertyClampPoints  = "ClampPoints"; 
   const DefaultRenderingServicePropertyClampPoints  = false; 
   const RenderingServicePropertyGeneralizeData  = "GeneralizeData"; 
   const DefaultRenderingServicePropertyGeneralizeData  = false; 
   const RenderingServicePropertyMaxRasterImageWidth  = "MaxRasterImageWidth"; 
   const DefaultRenderingServicePropertyMaxRasterImageWidth  = 2048; 
   const RenderingServicePropertyMaxRasterImageHeight  = "MaxRasterImageHeight"; 
   const DefaultRenderingServicePropertyMaxRasterImageHeight  = 2048; 
   const FontAliasMappingSection  = "FontAliases"; 
   const UnmanagedDataMappingsSection  = "UnmanagedDataMappings"; 
   const ResourceServicePropertiesSection  = "ResourceServiceProperties"; 
   const ResourceServicePropertyLibraryRepositoryPath  = "LibraryRepositoryPath"; 
   const DefaultResourceServicePropertyLibraryRepositoryPath  = "Repositories/Library/"; 
   const ResourceServicePropertyLibraryResourceDataFilePath  = "LibraryResourceDataFilePath"; 
   const DefaultResourceServicePropertyLibraryResourceDataFilePath  = "Repositories/Library/DataFiles/"; 
   const ResourceServicePropertyPackagesPath  = "PackagesPath"; 
   const DefaultResourceServicePropertyPackagesPath  = "Packages/"; 
   const ResourceServicePropertyRepositoryCheckpointsTimerInterval  = "RepositoryCheckpointsTimerInterval"; 
   const DefaultResourceServicePropertyRepositoryCheckpointsTimerInterval  = 600; 
   const ResourceServicePropertyResourceChangeTimerInterval  = "ResourceChangeTimerInterval"; 
   const DefaultResourceServicePropertyResourceChangeTimerInterval  = 5; 
   const ResourceServicePropertyResourceDataFileTrashFolderName  = "ResourceDataFileTrashFolderName"; 
   const DefaultResourceServicePropertyResourceDataFileTrashFolderName  = "Trash"; 
   const ResourceServicePropertyResourcePermissionCacheSize  = "ResourcePermissionCacheSize"; 
   const DefaultResourceServicePropertyResourcePermissionCacheSize  = 1000; 
   const ResourceServicePropertyResourceSchemaFilePath  = "ResourceSchemaFilePath"; 
   const DefaultResourceServicePropertyResourceSchemaFilePath  = "Schema/"; 
      const ResourceServicePropertySessionRepositoryPath  = "SessionRepositoryPath"; 
   const DefaultResourceServicePropertySessionRepositoryPath  = "Repositories/Session/"; 
   const ResourceServicePropertySessionResourceDataFilePath  = "SessionResourceDataFilePath"; 
   const DefaultResourceServicePropertySessionResourceDataFilePath  = "Repositories/Session/DataFiles/"; 
   const ResourceServicePropertySiteRepositoryPath  = "SiteRepositoryPath"; 
   const DefaultResourceServicePropertySiteRepositoryPath  = "Repositories/Site/"; 
   const SiteServicePropertiesSection  = "SiteServiceProperties"; 
   const SiteServicePropertySessionTimeout  = "SessionTimeout"; 
   const DefaultSiteServicePropertySessionTimeout  = 1200; 
   const SiteServicePropertySessionTimerInterval  = "SessionTimerInterval"; 
   const DefaultSiteServicePropertySessionTimerInterval  = 400; 
   const TileServicePropertiesSection  = "TileServiceProperties"; 
   const TileServicePropertyRenderOnly  = "RenderOnly"; 
   const DefaultTileServicePropertyRenderOnly  = false; 
   const TileServicePropertyTileCachePath  = "TileCachePath"; 
   const DefaultTileServicePropertyTileCachePath  = "Repositories/TileCache/"; 
   const TileServicePropertyTileColumnsPerFolder  = "TileColumnsPerFolder"; 
   const DefaultTileServicePropertyTileColumnsPerFolder  = 30; 
   const TileServicePropertyTileRowsPerFolder  = "TileRowsPerFolder"; 
   const DefaultTileServicePropertyTileRowsPerFolder  = 30; 
   const TileServicePropertyTileSizeX  = "DefaultTileSizeX"; ///  ; 
   const DefaultTileServicePropertyTileSizeX  = 300; ///  ; 
   const TileServicePropertyTileSizeY  = "DefaultTileSizeY"; ///  ; 
   const DefaultTileServicePropertyTileSizeY  = 300; ///  ; 
   const TileServicePropertyImageFormat  = "ImageFormat"; 
   const DefaultTileServicePropertyImageFormat  = "PNG"; 
      const AccessLogPropertiesSection  = "AccessLogProperties"; 
   const AccessLogPropertyEnabled  = "Enabled"; 
   const DefaultAccessLogPropertyEnabled  = true; 
   const AccessLogPropertyFilename  = "Filename"; 
   const DefaultAccessLogPropertyFilename  = "Access.log"; 
   const AccessLogPropertyParameters  = "Parameters"; 
   const DefaultAccessLogPropertyParameters  = ""; 
   const AdminLogPropertiesSection  = "AdminLogProperties"; 
   const AdminLogPropertyEnabled  = "Enabled"; 
   const DefaultAdminLogPropertyEnabled  = true; 
   const AdminLogPropertyFilename  = "Filename"; 
   const DefaultAdminLogPropertyFilename  = "Admin.log"; 
   const AdminLogPropertyParameters  = "Parameters"; 
   const DefaultAdminLogPropertyParameters  = ""; 
   const AuthenticationLogPropertiesSection  = "AuthenticationLogProperties"; 
   const AuthenticationLogPropertyEnabled  = "Enabled"; 
   const DefaultAuthenticationLogPropertyEnabled  = true; 
   const AuthenticationLogPropertyFilename  = "Filename"; 
   const DefaultAuthenticationLogPropertyFilename  = "Authentication.log"; 
   const AuthenticationLogPropertyParameters  = "Parameters"; 
   const DefaultAuthenticationLogPropertyParameters  = ""; 
   const ErrorLogPropertiesSection  = "ErrorLogProperties"; 
   const ErrorLogPropertyEnabled  = "Enabled"; 
   const DefaultErrorLogPropertyEnabled  = true; 
   const ErrorLogPropertyFilename  = "Filename"; 
   const DefaultErrorLogPropertyFilename  = "Error.log"; 
   const ErrorLogPropertyParameters  = "Parameters"; 
   const DefaultErrorLogPropertyParameters  = ""; 
   const PerformanceLogPropertiesSection  = "PerformanceLogProperties"; 
   const PerformanceLogPropertyEnabled  = "Enabled"; 
   const DefaultPerformanceLogPropertyEnabled  = false; 
   const PerformanceLogPropertyFilename  = "Filename"; 
   const DefaultPerformanceLogPropertyFilename  = "Performance.log"; 
   const PerformanceLogPropertyParameters  = "Parameters"; 
   const DefaultPerformanceLogPropertyParameters  = ""; 
   const PerformanceLogPropertyInterval  = "Interval"; 
   const DefaultPerformanceLogPropertyInterval  = 300; 
   const SessionLogPropertiesSection  = "SessionLogProperties"; 
   const SessionLogPropertyEnabled  = "Enabled"; 
   const DefaultSessionLogPropertyEnabled  = true; 
   const SessionLogPropertyFilename  = "Filename"; 
   const DefaultSessionLogPropertyFilename  = "Session.log"; 
   const SessionLogPropertyParameters  = "Parameters"; 
   const DefaultSessionLogPropertyParameters  = ""; 
   const TraceLogPropertiesSection  = "TraceLogProperties"; 
   const TraceLogPropertyEnabled  = "Enabled"; 
   const DefaultTraceLogPropertyEnabled  = true; 
   const TraceLogPropertyFilename  = "Filename"; 
   const DefaultTraceLogPropertyFilename  = "Trace.log"; 
   const TraceLogPropertyParameters  = "Parameters"; 
   const DefaultTraceLogPropertyParameters  = ""; 
   const DBEnvironmentPropertiesSection  = "DBEnvironmentProperties"; 
   const LibraryCacheSizeParameters  = "LibraryCacheSize"; 
   const DefaultLibraryCacheSizeParameters  = 32; 
   const SessionCacheSizeParamters  = "SessionCacheSize"; 
   const DefaultSessionCacheSizeParamters  = 2; 
   const DBPageSizeParameters  = "DBPageSize"; 
   const DefaultDBPageSizeParameters  = 32; 
   const DBXMLPageSizeParameters  = "DBXMLPageSize"; 
   const DefaultDBXMLPageSizeParameters  = 32; 
   const LibraryLogBufferSizeParameters  = "LibraryLogBufferSize"; 
   const DefaultLibraryLogBufferSizeParameters  = 12; 
   const SessionLogBufferSizeParameters  = "SessionLogBufferSize"; 
   const DefaultSessionLogBufferSizeParameters  = 1; 
   const DBMaxTransactionsParamters  = "DBMaxTransactions"; 
   const DefaultDBMaxTransactionsParamters  = 1000; 
   const SessionDBPageSizeParameters  = "SessionDBPageSize"; 
   const DefaultSessionDBPageSizeParameters  = 2; 
   const SessionDBXMLPageSizeParameters  = "SessionDBXMLPageSize"; 
   const DefaultSessionDBXMLPageSizeParameters  = 0.5; 
   const DBTimeoutParameters  = "DBTimeout"; 
   const DefaultDBTimeoutParameters  = 0.2; 
   const DBMaxLockersParameters  = "DBMaxLockers"; 
   const DefaultDBMaxLockersParameters  = 1000; 
      const AgentPropertiesSection  = "AgentProperties"; 
   const AgentDebugPause  = "DebugPause"; 
   const DefaultAgentDebugPause  = 0; 
   const AgentDisableAuthoring  = "DisableAuthoring"; 
   const AgentDisableWfs  = "DisableWfs"; 
   const AgentDisableWms  = "DisableWms"; 
   const AgentErrorLogEnabled  = "ErrorLogEnabled"; 
   const DefaultAgentErrorLogEnabled  = false; 
   const AgentErrorLogFilename  = "ErrorLogFilename"; 
   const DefaultAgentErrorLogFilename  = "Error.log"; 
   const AgentRequestLogEnabled  = "RequestLogEnabled"; 
   const DefaultAgentRequestLogEnabled  = false; 
   const AgentRequestLogFilename  = "RequestLogFilename"; 
   const DefaultAgentRequestLogFilename  = "Request.log"; 
   const OgcPropertiesSection  = "OgcProperties"; 
   const WfsPassword  = "WfsPassword"; 
   const WmsPassword  = "WmsPassword"; 
   const CITEWfsEnabled  = "CITEWfsEnabled"; 
   const DefaultCITEWfsEnabled  = false; 
   const CITEWmsEnabled  = "CITEWmsEnabled"; 
   const DefaultCITEWmsEnabled  = false; 
   const WebApplicationPropertiesSection  = "WebApplicationProperties"; 
   const TemplateRootFolder  = "TemplateRootFolder"; 
   const WidgetInfoFolder  = "WidgetInfoFolder"; 
   const ContainerInfoFolder  = "ContainerInfoFolder"; 
   
}

class MgWebActions
{
   const Pan = 1 ; 
   const PanUp = 2 ; 
   const PanDown = 3 ; 
   const PanRight = 4 ; 
   const PanLeft = 5 ; 
   const Zoom = 6 ; 
   const ZoomIn = 7 ; 
   const ZoomOut = 8 ; 
   const ZoomRectangle = 9 ; 
   const ZoomSelection = 10 ; 
   const FitWindow = 11 ; 
   const ViewPrevious = 12 ; 
   const ViewNext = 13 ; 
   const ViewRestore = 14 ; 
   const Select = 15 ; 
   const SelectRadius = 16 ; 
   const SelectPolygon = 17 ; 
   const SelectClear = 19 ; 
   const Refresh = 20 ; 
   const Copy = 21 ; 
   const About = 22 ; 
   const PrintMap = 23 ; 
   const GetPrintablePage = 24 ; 
   const Measure = 25 ; 
   const InvokeUrl = 26 ; 
   const Search = 27 ; 
   const Buffer = 28 ; 
   const ViewOptions = 30 ; 
   const InvokeScript = 31 ; 
   const SelectWithin = 32 ; 
   const Help = 33 ; 
   const MapTip = 34 ; 
   
}

class MgWebTargetType
{
   const TaskPane = 1 ; 
   const NewWindow = 2 ; 
   const SpecifiedFrame = 3 ; 
   
}

class MgWebTargetViewerType
{
   const Dwf = 1 ; 
   const Ajax = 2 ; 
   const All = 3 ; 
   
}

class MgWebTaskButtonType
{
   const Home = 0 ; 
   const Back = 1 ; 
   const Forward = 2 ; 
   const Tasks = 3 ; 
   
}

class MgWebWidgetType
{
   const Command = 1 ; 
   const Separator = 2 ; 
   const Flyout = 3 ; 
   const TaskButton = 4 ; 
   
}

?>